Bug 1731039 - [RFE] Remove the option to use V3 api
Summary: [RFE] Remove the option to use V3 api
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Boriso
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 07:46 UTC by Boriso
Modified: 2019-12-13 15:01 UTC (History)
4 users (show)

Fixed In Version: 5.11.0.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 15:01:32 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Boriso 2019-07-18 07:46:27 UTC
Remove the option to use V3 api with RHV providers since it is not officially supported anymore.

Comment 3 CFME Bot 2019-07-22 07:18:59 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/master:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/6a78d91ea2bb2adff5b7e078412f75478877e34b
commit 6a78d91ea2bb2adff5b7e078412f75478877e34b
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Sun Jul 21 09:47:29 2019 -0400
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Sun Jul 21 09:47:29 2019 -0400

    Remove the option to use Version 3 of the api

    Disable the option to force use of version 3 of the RHV api.
    Note it is still being used for Smart State Analysis - to be fixed soon.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1731039

 app/models/manageiq/providers/redhat/infra_manager/api_integration.rb | 2 +-
 app/models/manageiq/providers/redhat/infra_manager/provision_workflow.rb | 6 -
 config/settings.yml | 1 -
 spec/models/manageiq/providers/redhat/infra_manager/event_catcher/runner_spec.rb | 26 -
 spec/models/manageiq/providers/redhat/infra_manager/refresh/parse/parser_builder_spec.rb | 7 -
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_spec.rb | 7 -
 6 files changed, 1 insertion(+), 48 deletions(-)

Comment 4 Angelina Nikiforova 2019-07-29 07:41:55 UTC
Verified in 5.11.0.16.20190724210259_2b4aa51.
There's no `use_ovirt_engine_sdk` option anymore.


Note You need to log in before you can comment on or make changes to this bug.